Bug 1925260 - VPA uninstall does not remove admission-plugin, recommender and updater operators
Summary: VPA uninstall does not remove admission-plugin, recommender and updater opera...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Shubha Narayanan
QA Contact: Weinan Liu
Latha S
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-04 17:21 UTC by blpowers@redhat.com
Modified: 2021-09-29 02:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 02:51:38 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1909983 0 unspecified CLOSED Cluster upgrade fails because of vpa webhook 2024-06-13 23:47:38 UTC

Description blpowers@redhat.com 2021-02-04 17:21:42 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/openshift_container_platform/4.5/html/nodes/working-with-pods

Section Number and Name: 1.5.5. Uninstalling the Vertical Pod Autoscaler Operator

Describe the issue: Removing the VPA does not remove the admission-plugin, recommender, and updater operators. 

"The Operator, any Operator deployments, and Pods are removed by this action. Any resources managed by the Operator, including CRDs and CRs are not removed. The web console enables dashboards and navigation items for some Operators. To remove these after uninstalling the Operator, you might need to manually delete the Operator CRDs."

https://docs.openshift.com/container-platform/4.6/operators/admin/olm-deleting-operators-from-cluster.html
~~~~
On the right-hand side of the Operator Details page, select Uninstall Operator from the Actions drop-down menu.

An Uninstall Operator? dialog box is displayed, reminding you that:

Removing the Operator will not remove any of its custom resource definitions or managed resources. If your Operator has deployed applications on the cluster or configured off-cluster resources, these will continue to run and need to be cleaned up manually.

The Operator, any Operator deployments, and pods are removed by this action. Any resources managed by the Operator, including CRDs and CRs, are not removed. The web console enables dashboards and navigation items for some Operators. To remove these after uninstalling the Operator, you might need to manually delete the Operator CRDs.
~~~
When the procedure is performed it leaves the admission-plugin, recommender, and updater operators running without supervision. 

Suggestions for improvement: Clear documentation on how to remove the VPA

Additional information: 

https://access.redhat.com/documentation/en-us/openshift_container_platform/4.3/html/operators/olm-deleting-operators-from-a-cluster

Section Number and Name:   6.1. Deleting Operators from a cluster using the web console

Comment 1 W. Trevor King 2021-08-18 21:19:34 UTC
The semantics of UpgradeBlocker are defined in [1] (still in flight, but accurately reflects at least how the keyword is used today).  This bug does not seem to be about OpenShift core updates, so I'm removing the keyword.  Feel free to explain why you think it's appropriate if you add it back.

[1]: https://github.com/openshift/enhancements/pull/475

Comment 3 Shubha Narayanan 2021-09-13 11:41:05 UTC
PR for 4.9 raised - https://github.com/openshift/openshift-docs/pull/36232

Comment 4 Weinan Liu 2021-09-15 06:05:35 UTC
/lgtm

Comment 5 Shubha Narayanan 2021-09-20 14:55:01 UTC
Need another QE review on PR https://github.com/openshift/openshift-docs/pull/36551

Comment 6 Weinan Liu 2021-09-23 16:52:28 UTC
/lgtm


Note You need to log in before you can comment on or make changes to this bug.